slepc-3.21.1 2024-04-26
Report Typos and Errors

# STMatCreateVecs

Get vector(s) compatible with the ST matrices.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STMatCreateVecs(ST st,Vec *right,Vec *left)

Collective

### Input Parameter

| st | - the spectral transformation context

### Output Parameters

| right | - (optional) vector that the matrix can be multiplied against
| left | - (optional) vector that the matrix vector product can be stored in

### See Also

STMatCreateVecsEmpty()

### Level

developer

### Location

src/sys/classes/st/interface/stfunc.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages